Package org.apache.tomcat.util.bcel.classfile

## Class ConstantInteger

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.Constant
  - - org.apache.tomcat.util.bcel.classfile.ConstantInteger

    public final class ConstantInteger
    extends Constant

This class is derived from the abstract `Constant` and represents a reference to an int object.

See Also:
  `Constant`

### Field Summary

### Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant

`tag`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getBytes()`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant

`getTag, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getBytes

    public int getBytes()

Returns:
  data, i.e., 4 bytes.